#pragma once
#include "aplCertificateDlg.h"

// CCertVerificationDlg dialog

class CaplCertificateDlg;
class CCertVerificationDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CCertVerificationDlg)

public:
	CCertVerificationDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CCertVerificationDlg();

// Dialog Data
	enum { IDD = IDD_CERT_VERIFICATION };

	CTreeCtrl m_tree;
	CImageList m_image;
	CSortListCtrl m_usage_list;
	CaplCertificateDlg *m_pParent;

	// группа "Использование ключа"
	bool FillGrpUsage();

	// дерево верификации
	bool BuildVerificationTree();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	

	DECLARE_MESSAGE_MAP()
};
